Subject: [SWIPL] dynamicity of a predicate

From: "Tolga Konik" <[email-masked]>
Date: Fri, 28 Dec 2001 00:42:14 -0500

Hi,

I have two questions.

1) is dynamicity of a predicate module dependent?

2) 	I plan to use $set_predicate_attribute to switch on and off the
dynamicity of predicates.
	this way,
	A) I want to prevent unintendent changes to some dynamic predicates and
	B) by using static predicate modification exception, I want to track
changes on these predicates.

	is there a forseenable danger in using the internal predicate
$set_predicate_attribute?

- Tolga

-----Original Message-----
From: Jan Wielemaker [mailto:[email-masked]]
Sent: Friday, December 21, 2001 3:27 AM
To: Roger Levy; [email-masked]
Subject: Re: [SWIPL] Question regarding error message

> Hi,
>
> I just received the following error message from an SWI interactive run:
>
> [PROLOG SYSTEM ERROR:
> 	Recursively received fatal signal 11
>
> PROLOG STACK:
>         <snip>
>
> The most recent goal was a retract/1.
>
> Out of curiosity, what does this error mean?

It means you've had a crash.  Signal 11 is `segmentation-fault'
(general protectiong fault in Windows speak).  Normally it tries
to map this into a Prolog exception.  If, while trying to recover,
it gets a second one it generates a system error saying: ``I'm lost''.

If it can be reproduced and you are running a recent release, please
submit the program in a bug-report.

	--- Jan

----------------
* To UNSUBSCRIBE, please use the HTML form at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/index.html#mailinglist

or send mail to [email-masked] using the Subject:
"unsubscribe"
(without the quotes) and *no* message body.

** An ARCHIVE of this list is maintained at

    http://www.swi.psy.uva.nl/projects/SWI-Prolog/mailinglist/archive/